Subject: Re: bug#20697: 25.0.50; Mention `M-x report-emacs-bug' on splash screen

From: Stefan Kangas <[email-masked]>
Date: Sat, 14 Sep 2019 14:06:55 +0200

Eli Zaretskii <[email-masked]> writes:

> > > Perhaps the "Absence of Warranty" and "Copying Conditions" could be
> > > merged into one line?
> >
> > Are there any legal implications here?  Otherwise, I agree that it
> > would be a good change.
>
> I'd rather we didn't merge them, they are quite different issues.

Fine by me.

> > @@ -1648,6 +1648,8 @@ fancy-about-text
> >       :link ("Ordering Manuals" ,(lambda (_button) (view-order-manuals)))
> >       "\tBuying printed manuals from the FSF\n"
> >       "\n"
> > +     :link ("Emacs Manual" ,(lambda (_button) (info-emacs-manual)))
> > +     "\tDisplay the Emacs manual in Info mode\n"
>
> This should come after the Overview, IMO.

Fixed.

> > -     "\tSee an overview of Emacs features at gnu.org"))
> > +     "\tSee an overview of Emacs features at gnu.org\n"))
>
> Why do we need this extra newline?

That was included by mistake, but is necessary if the manual is the
last entry.  So I'm keeping it here.

Please find attached an updated patch.

Best regards,
Stefan Kangas
From 7eeedc47e183dc7937b73183bd546a86deacc910 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Fri, 13 Sep 2019 21:23:24 +0200
Subject: [PATCH] Add bug reporting and link the manual on the about screen

* lisp/startup.el (fancy-about-text, normal-about-screen): Clarify
that "Contribute" also describes how to report bugs.  Add new link
"Emacs Manual".  (Bug#20697)
---
 lisp/startup.el | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/lisp/startup.el b/lisp/startup.el
index ef6234128a..6e569168e2 100644
--- a/lisp/startup.el
+++ b/lisp/startup.el
@@ -1632,7 +1632,7 @@ fancy-about-text
      "\tMany people have contributed code included in GNU Emacs\n"
      :link ("Contributing"
 	    ,(lambda (_button) (info "(emacs)Contributing")))
-     "\tHow to contribute improvements to Emacs\n"
+     "\tHow to report bugs and contribute improvements to Emacs\n"
      "\n"
      :link ("GNU and Freedom" ,(lambda (_button) (describe-gnu-project)))
      "\tWhy we developed GNU Emacs, and the GNU operating system\n"
@@ -1674,7 +1674,9 @@ fancy-about-text
 	    ,(lambda (_button)
                (browse-url "https://www.gnu.org/software/emacs/tour/"))
 	    "Browse https://www.gnu.org/software/emacs/tour/")
-     "\tSee an overview of Emacs features at gnu.org"))
+     "\tSee an overview of Emacs features at gnu.org\n"
+     :link ("Emacs Manual" ,(lambda (_button) (info-emacs-manual)))
+     "\tDisplay the Emacs manual in Info mode"))
   "A list of texts to show in the middle part of the About screen.
 Each element in the list should be a list of strings or pairs
 `:face FACE', like `fancy-splash-insert' accepts them.")
@@ -2211,7 +2213,7 @@ normal-about-screen
 		 'action
 		 (lambda (_button) (info "(emacs)Contributing"))
 		 'follow-link t)
-  (insert "\tHow to contribute improvements to Emacs\n\n")
+  (insert "\tHow to report bugs and contribute improvements to Emacs\n\n")
 
   (insert-button "GNU and Freedom"
 		 'action (lambda (_button) (describe-gnu-project))
-- 
2.20.1